## org.jvnet.maven.plugin.antrun
Class VisualizeFilter

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.jvnet.maven.plugin.antrun.GraphFilter
              org.jvnet.maven.plugin.antrun.VisualizeFilter

All Implemented Interfaces:
  java.lang.Cloneable

    public class VisualizeFilter

extends GraphFilter

Filter that generates a graph by using GraphViz.

Author:
  Kohsuke Kawaguchi

Nested Class Summary
`static class` `VisualizeFilter.Subgraph` Nested <subgraph> element.

Field Summary

Fields inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`children`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`VisualizeFilter()`

Method Summary
`void` `addConfiguredSubgraph(VisualizeFilter.Subgraph g)`
`DependencyGraph` `process()`
`void` `setFile(java.io.File output)` PNG file to be created.

Methods inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`add, evaluateChild, evaluateChild`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VisualizeFilter

    public VisualizeFilter()

Method Detail

### setFile

    public void setFile(java.io.File output)

  PNG file to be created.

### addConfiguredSubgraph

    public void addConfiguredSubgraph(VisualizeFilter.Subgraph g)

### process

    public DependencyGraph process()

  Specified by:
    `process` in class `GraphFilter`

Copyright © 2011. All Rights Reserved.